package com.agiledeveloper;

import com.agiledeveloper.internal.Admin;

public class Speaker {
  private String name;
  private Admin admin;
  
  public Speaker(String theName) { name = theName; }
  public Speaker(String theName, String adminName) { 
    name = theName; 
    admin = new Admin(adminName);
  }
  
  public String getName() {
    if(admin != null)
      return name + ":" + admin.getName();
    return name;
  }
}